Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class ProprietaryPrice2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.ProprietaryPrice2

public class ProprietaryPrice2 extends Object

Java class for ProprietaryPrice2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProprietaryPrice2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text"/>
             <element name="Pric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`pric`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`ProprietaryPrice2()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getPric()`
Gets the value of the pric property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setPric(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the pric property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### pric

protected ActiveOrHistoricCurrencyAndAmount pric

## Constructor Details

### ProprietaryPrice2

public ProprietaryPrice2()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getPric

public ActiveOrHistoricCurrencyAndAmount getPric()
Gets the value of the pric property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setPric

public void setPric(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the pric property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`